%define libname		%mklibname fs 6
%define develname	%mklibname fs -d
%define staticname	%mklibname fs -s -d

Name: libfs
Summary: Library Interface to the X Font Server
Version: 1.0.9
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: https://xorg.freedesktop.org
Source0: https://xorg.freedesktop.org/releases/individual/lib/libFS-%{version}.tar.xz

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xtrans) >= 1.0.0

%description
Libfs is a library interface to the X Font Server.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  Library Interface to the X Font Server
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
Libfs is a library interface to the X Font Server.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: %{name}-devel = %{version}-%{release}
Conflicts: libxorg-x11-devel < 7.0
Obsoletes: %{mklibname fs 6 -d}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libFS.so
%{_libdir}/pkgconfig/libfs.pc
%{_includedir}/X11/fonts/FSlib.h

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}
Provides: %{name}-static-devel = %{version}-%{release}
Conflicts: libxorg-x11-static-devel < 7.0
Obsoletes: %{mklibname fs 6 -s -d}

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%{_libdir}/libFS.a

#-----------------------------------------------------------

%prep
%setup -q -n libFS-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install
rm -f %{buildroot}%_datadir/doc/libFS/FSlib.txt

%files -n %{libname}
%doc doc/FSlib.txt
%{_libdir}/libFS.so.6
%{_libdir}/libFS.so.6.0.0


%changelog
* Sun Sep 04 2022 tv <tv> 1.0.9-1.mga9
+ Revision: 1883878
- 1.0.9

* Tue Mar 15 2022 umeabot <umeabot> 1.0.8-4.mga9
+ Revision: 1793924
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 1.0.8-3.mga9
+ Revision: 1789910
- fix files list
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.0.8-2.mga8
+ Revision: 1523596
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 11 2019 tv <tv> 1.0.8-1.mga7
+ Revision: 1374148
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.7-3.mga7
+ Revision: 1298850
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 1.0.7-2.mga6
+ Revision: 955461
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.0.7-1.mga6
+ Revision: 837652
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-3.mga5
+ Revision: 744583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-2.mga5
+ Revision: 681466
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 tv <tv> 1.0.6-1.mga5
+ Revision: 605907
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 525522
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.0.5-1.mga4
+ Revision: 433348
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.4-3.mga3
+ Revision: 397135
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 357136
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.0.4-1.mga2
+ Revision: 218470
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.3-1.mga1
+ Revision: 5974
- imported package libfs

